Loading...
Searching...
No Matches
Role.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2009 Raritan Inc. All rights reserved.
*/
#ifndef __LIBISYS_AUTH_ROLE_IDL__
#define __LIBISYS_AUTH_ROLE_IDL__
/**
* %User Management
*/
module usermgmt {
/** %Role management interface */
interface Role {
constant int ERR_INVALID_VALUE = 1; ///< Invalid arguments
/** A granted privilege */
structure Privilege {
string name; ///< Privilege name
vector<string> args; ///< Privilege arguments
};
/** %Role information */
structure Info {
string description; ///< Free-form description
boolean locked; ///< \c true if the role cannot be deleted
vector<Privilege> privileges; ///< List of privileges for this role
};
/**
* Retrieve role information.
*
* @return role info
*/
Info getInfo();
/**
* Change role settings.
*
* @param info New role information
*
* @return 0 if OK
* @return 1 if the role information is invalid
*/
int updateFull(in Info info);
};
}
#endif /* !__LIBISYS_AUTH_ROLE_IDL__ */
usermgmt::Role
Role management interface
Definition Role.idl:15
usermgmt::Role::getInfo
Info getInfo()
Retrieve role information.
usermgmt::Role::updateFull
int updateFull(in Info info)
Change role settings.
usermgmt
User Management
Definition Role.idl:12
usermgmt::Role::Info
Role information
Definition Role.idl:26
usermgmt::Role::Info::privileges
vector< Privilege > privileges
List of privileges for this role.
Definition Role.idl:29
usermgmt::Role::Info::description
string description
Free-form description.
Definition Role.idl:27
usermgmt::Role::Info::locked
boolean locked
true if the role cannot be deleted
Definition Role.idl:28
usermgmt::Role::Privilege
A granted privilege.
Definition Role.idl:20
usermgmt::Role::Privilege::name
string name
Privilege name.
Definition Role.idl:21
usermgmt::Role::Privilege::args
vector< string > args
Privilege arguments.
Definition Role.idl:22